Bug 238726 - devel/meson: update to 0.51.0
Summary: devel/meson: update to 0.51.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://mesonbuild.com/Release-notes-...
Keywords:
Depends on:
Blocks: 240182
  Show dependency treegraph
 
Reported: 2019-06-20 20:01 UTC by Greg V
Modified: 2019-08-29 03:35 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
antoine: exp-run+


Attachments
meson0501.patch (2.88 KB, patch)
2019-06-20 20:01 UTC, Greg V
no flags Details | Diff
v1 (2.80 KB, patch)
2019-06-21 09:16 UTC, Tobias Kortkamp
no flags Details | Diff
v2 (3.14 KB, patch)
2019-06-23 10:35 UTC, Tobias Kortkamp
no flags Details | Diff
v3 (3.91 KB, patch)
2019-06-24 01:05 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-06-20 20:01:45 UTC
Created attachment 205240 [details]
meson0501.patch
Comment 1 Tobias Kortkamp freebsd_committer 2019-06-21 08:09:10 UTC
Hmm, why not update to 0.51.0?  It is probably a good idea to request an exp-run
for this either way.

https://mesonbuild.com/Release-notes-for-0-51-0.html
Comment 2 Tobias Kortkamp freebsd_committer 2019-06-21 09:16:05 UTC
Created attachment 205255 [details]
v1

- Update to 0.51.0
Comment 3 Tobias Kortkamp freebsd_committer 2019-06-21 09:16:55 UTC
Over to portmgr for exp-run.
Comment 4 Tobias Kortkamp freebsd_committer 2019-06-23 10:35:31 UTC
Created attachment 205294 [details]
v2

- Unbreak build of x11/terminology
Comment 8 Tobias Kortkamp freebsd_committer 2019-06-24 01:05:22 UTC
Created attachment 205303 [details]
v3

- Fix ksh93 and ksh93-devel too

Please give it another try.
Comment 9 Antoine Brodin freebsd_committer 2019-06-24 05:54:10 UTC
Exp-run looks fine.
Comment 10 Tobias Kortkamp freebsd_committer 2019-06-24 06:00:14 UTC
Committed, thanks!
Comment 11 commit-hook freebsd_committer 2019-06-24 06:00:26 UTC
A commit references this bug:

Author: tobik
Date: Mon Jun 24 05:59:33 UTC 2019
New revision: 505003
URL: https://svnweb.freebsd.org/changeset/ports/505003

Log:
  devel/meson: Update to 0.51.0

  Changes:	https://mesonbuild.com/Release-notes-for-0-51-0.html
  PR:		238726
  Submitted by:	greg@unrelenting.technology (update to 0.50.1)
  Exp-run by:	antoine

Changes:
  head/devel/meson/Makefile
  head/devel/meson/distinfo
  head/devel/meson/files/patch-mesonbuild_dependencies_base.py
  head/shells/ksh93/Makefile
  head/shells/ksh93-devel/Makefile
  head/x11/terminology/Makefile